#ifndef _STBTENUM_H
#define _STBTENUM_H
//////////////////////////////////////////////////////////////////////////
//  Enumeration definitions - you must link with STBTEnum.lib to use these
//////////////////////////////////////////////////////////////////////////
typedef BOOL (FAR PASCAL * LPSTCENUMCALLBACK)(GUID FAR *, LPWSTR, LPWSTR, LPVOID);
typedef BOOL (FAR PASCAL * LPDDEENUMCALLBACK)(GUID FAR *, LPWSTR, LPWSTR, LPVOID);

#ifdef STB_DLL_BUILD

typedef LONG          HRESULT;
HRESULT __declspec(dllexport) StbTulsaControlEnumerate(LPSTCENUMCALLBACK lpCallback, LPVOID lpContext);
HRESULT __declspec(dllexport) DirectDrawEmulationEnumerateEx(LPDDEENUMCALLBACK lpCallback, LPVOID lpContext, DWORD flags);

#else

#ifdef __cplusplus
extern "C" 
{  // only need to export C interface if used by C++ source code
#endif

HRESULT __declspec(dllimport) StbTulsaControlEnumerate(LPSTCENUMCALLBACK lpCallback, LPVOID lpContext);
HRESULT __declspec(dllimport) DirectDrawEmulationEnumerateEx(LPSTCENUMCALLBACK lpCallback, LPVOID lpContext, DWORD flags);

#ifdef __cplusplus
}

#endif
#endif

#endif	// _STBTENUM_H
